Bug 1202169 - libwebkit2gtk3: Eclipse crashes webkit_web_context_get_default()
libwebkit2gtk3: Eclipse crashes webkit_web_context_get_default()
Status: VERIFIED FIXED
: 1202190 (view as bug list)
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
Other openSUSE Tumbleweed
: P5 - None : Major (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-08-05 11:18 UTC by Michele Cherici
Modified: 2022-09-23 16:22 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michele Cherici 2022-08-05 11:18:34 UTC
After updating these packages from Tumbleweed 20220802

libwebkit2gtk-4_0-37|2.36.5-1.1|x86_64
webkit2gtk-4_0-injected-bundles|2.36.5-1.1|x86_64
libjavascriptcoregtk-4_0-18|2.36.5-1.1|x86_64

Eclipse IDE 2022-06 crashes every time code assist is called and nothing is showed on the console output.

Reverting to previous version (2.36.4-1.1) of these packages solves the issue.
Comment 1 Andreas Stieger 2022-08-06 15:56:51 UTC
*** Bug 1202190 has been marked as a duplicate of this bug. ***
Comment 2 Andreas Stieger 2022-08-06 16:02:43 UTC
Fridrich could you check if Eclipse needs corresponding changes, or the other packages mentioned?
Comment 3 Fridrich Strba 2022-08-06 17:15:31 UTC
(In reply to Andreas Stieger from comment #2)
> Fridrich could you check if Eclipse needs corresponding changes, or the
> other packages mentioned?

The eclipse 2022-06 is an upstream install and it is possible that the Webkit packages are compiled with some flags that don't allow them to be dlopened from the eclipse-swt (which is the module that loads the Webkit). We are not able currently to build eclipse 2022-06 from sources, so one should wait for the mega-update for java packages in sle15 <https://build.suse.de/project/show/SUSE:Maintenance:24850> where we bring reasonably new-ish version of eclipse that is reputed to work.
Comment 4 Andreas Stieger 2022-08-06 17:44:05 UTC
Sometimes I wonder about why @suse users re-assign the bug back to the screening team.
Comment 5 Fridrich Strba 2022-08-06 19:48:19 UTC
(In reply to Andreas Stieger from comment #4)
> Sometimes I wonder about why @suse users re-assign the bug back to the
> screening team.

Because this is upstream eclipse interaction with webkit libraries. I am not the upstream eclipse maintainer and not at all the maintainer of webkit. So, I have no idea whom to give it. Or should I close it as WONTFIX?
Comment 7 Player 2022-08-07 04:18:12 UTC
The related upstream patch for the issue is most likely https://github.com/WebKit/WebKit/commit/a6277d4834cce0dea2f999d4c06ffa57abfbb82d - upstream released it with version 2.37.1. Unfortunately this isn't available in Tumbleweed yet, so I can't easily verify if if works.

There is no reason to assume the Eclipse build has anything to do with it.
Comment 8 Andreas Stieger 2022-08-07 09:32:37 UTC
Thank you for this information. Moving to webkitgtk3 bugowners (Gnome) to see if this is something that can be patched, or wait out until it gets into stable.
Comment 9 Andreas Stieger 2022-08-07 10:22:06 UTC
landed in webkitgtk/2.36 branch:
https://github.com/WebKit/WebKit/commit/703f4a63c968c9c7b7ad2b31135896657b235e68
Comment 10 Andreas Stieger 2022-08-07 15:13:29 UTC
Patch is in 2.36.6. Michael could you bump it?
Comment 11 Andreas Stieger 2022-08-07 16:24:18 UTC
https://build.opensuse.org/request/show/993623
Comment 12 Andreas Stieger 2022-08-08 08:47:24 UTC
on it's way. https://build.opensuse.org/request/show/993710
please report back with 2.36.6.
Comment 13 Player 2022-08-08 18:46:45 UTC
I can confirm that Eclipse works fine with the Gnome/Next build. Thanks!
Comment 14 Andreas Stieger 2022-08-08 19:19:03 UTC
Thanks for confirming.
Comment 15 Richard Gladman 2022-08-09 07:32:41 UTC
It's still not working for me. I run KDE in case that makes a difference.
Comment 16 Richard Gladman 2022-08-09 08:00:04 UTC
(In reply to Richard Gladman from comment #15)
> It's still not working for me. I run KDE in case that makes a difference.

Never mind, it's still 2.36.5. My bad, I'll just have to wait a bit longer.
Comment 18 Swamp Workflow Management 2022-09-07 10:23:30 UTC
SUSE-SU-2022:3136-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1202169,1202807
CVE References: CVE-2022-32893
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    webkit2gtk3-2.36.7-2.110.1
SUSE OpenStack Cloud 9 (src):    webkit2gtk3-2.36.7-2.110.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    webkit2gtk3-2.36.7-2.110.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    webkit2gtk3-2.36.7-2.110.1
SUSE Linux Enterprise Server 12-SP5 (src):    webkit2gtk3-2.36.7-2.110.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    webkit2gtk3-2.36.7-2.110.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    webkit2gtk3-2.36.7-2.110.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    webkit2gtk3-2.36.7-2.110.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Swamp Workflow Management 2022-09-07 13:27:47 UTC
SUSE-SU-2022:3137-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1202169,1202807
CVE References: CVE-2022-32893
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    webkit2gtk3-2.36.7-150400.4.12.1, webkit2gtk3-soup2-2.36.7-150400.4.12.1, webkit2gtk4-2.36.7-150400.4.12.1
SUSE Linux Enterprise Module for Development Tools 15-SP4 (src):    webkit2gtk4-2.36.7-150400.4.12.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    webkit2gtk3-2.36.7-150400.4.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    webkit2gtk3-soup2-2.36.7-150400.4.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 20 Fred Brubine 2022-09-14 08:20:18 UTC
My Eclipse is crashing left and right from this in OpenSUSE Leap 15.3 and the fixed versions of the rpms are not yet available from the official repos.

If the Leap 15.3 repo gimp is asleep, can someone wake him up so the updated rpms can be released?
Comment 21 Andreas Stieger 2022-09-14 08:26:57 UTC
I do not think that we will do this update for Leap 15.3 still (before November when it goes EOL). (background is that it is from a different SLE package). Upgrade to Leap 15.4.
Comment 22 Michael Gorse 2022-09-14 15:22:12 UTC
(In reply to Andreas Stieger from comment #21)
> I do not think that we will do this update for Leap 15.3 still (before
> November when it goes EOL). (background is that it is from a different SLE
> package). Upgrade to Leap 15.4.

I submitted an update to 2.36.7 for SP2 because of boo#1202807, but it hasn't been released for SLE yet. So Leap 15.3 will get an update eventually.
Comment 23 Michael Gorse 2022-09-14 15:30:51 UTC
As a work-around, I think that you could install the SLE_15_SP2_Update build from GNOME:STABLE:3.34, until the 15.3 update is released.
Comment 24 Fred Brubine 2022-09-18 02:22:35 UTC
Thanks. So, the rpms here?
https://build.opensuse.org/package/binaries/GNOME:STABLE:3.34/webkit2gtk3/SLE_15_SP2_Update
I'm running KDE, not gnome, but I assume the advice is still valid.
Comment 25 Michael Gorse 2022-09-19 20:42:20 UTC
(In reply to Fred Brubine from comment #24)
> Thanks. So, the rpms here?
> https://build.opensuse.org/package/binaries/GNOME:STABLE:3.34/webkit2gtk3/
> SLE_15_SP2_Update
> I'm running KDE, not gnome, but I assume the advice is still valid.

You have the same webkitgtk binaries whether you're running GNOME or KDE.
And I'm hoping that the update will be released soon. Not sure why it hasn't been released yet.
Comment 27 Swamp Workflow Management 2022-09-23 16:21:14 UTC
SUSE-SU-2022:3352-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1202169,1202807
CVE References: CVE-2022-32893
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    webkit2gtk3-2.36.7-150000.3.112.2
SUSE Linux Enterprise Server for SAP 15 (src):    webkit2gtk3-2.36.7-150000.3.112.2
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    webkit2gtk3-2.36.7-150000.3.112.2
SUSE Linux Enterprise Server 15-SP1-BCL (src):    webkit2gtk3-2.36.7-150000.3.112.2
SUSE Linux Enterprise Server 15-LTSS (src):    webkit2gtk3-2.36.7-150000.3.112.2
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    webkit2gtk3-2.36.7-150000.3.112.2
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    webkit2gtk3-2.36.7-150000.3.112.2
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    webkit2gtk3-2.36.7-150000.3.112.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    webkit2gtk3-2.36.7-150000.3.112.2
SUSE Enterprise Storage 6 (src):    webkit2gtk3-2.36.7-150000.3.112.2
SUSE CaaS Platform 4.0 (src):    webkit2gtk3-2.36.7-150000.3.112.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 28 Swamp Workflow Management 2022-09-23 16:22:09 UTC
SUSE-SU-2022:3351-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1202169,1202807
CVE References: CVE-2022-32893
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    webkit2gtk3-2.36.7-150200.44.1
openSUSE Leap 15.3 (src):    webkit2gtk3-2.36.7-150200.44.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    webkit2gtk3-2.36.7-150200.44.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    webkit2gtk3-2.36.7-150200.44.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.